import { Facet, StateField } from "@codemirror/state";
import type { CreateEditOpts } from "./inline-edit.js";
export interface AiOptions {
    onError?: (error: Error) => void;
    logger?: typeof console;
    onAcceptEdit?: (opts: CreateEditOpts) => void;
    onRejectEdit?: (opts: CreateEditOpts) => void;
    inputDebounceTime?: number;
    keymaps?: {
        showInput?: string;
        acceptEdit?: string;
        rejectEdit?: string;
    };
}
export declare const defaultKeymaps: {
    showInput: string;
    acceptEdit: string;
    rejectEdit: string;
};
export declare const optionsFacet: Facet<AiOptions, AiOptions>;
export interface InputState {
    show: boolean;
    from: number;
    to: number;
}
export interface CompletionState {
    from: number;
    to: number;
    oldCode: string;
    newCode: string;
}
export declare const showTooltip: import("@codemirror/state").StateEffectType<boolean>;
export declare const tooltipState: StateField<boolean>;
export declare const showInput: import("@codemirror/state").StateEffectType<InputState>;
export declare const inputState: StateField<InputState>;
export declare const showCompletion: import("@codemirror/state").StateEffectType<CompletionState | null>;
export declare const completionState: StateField<CompletionState | null>;
export declare const setLoading: import("@codemirror/state").StateEffectType<boolean>;
export declare const loadingState: StateField<boolean>;
//# sourceMappingURL=state.d.ts.map