export function invariant(condition, message) {
    if (!condition) {
        throw new Error(message);
    }
}
const modSymbols = { mac: "⌘", windows: "⊞ Win", default: "Ctrl" };
export function getModSymbol() {
    const isMac = navigator.platform.startsWith("Mac");
    if (isMac) {
        return modSymbols.mac;
    }
    if (navigator.platform.startsWith("Win")) {
        return modSymbols.windows;
    }
    return modSymbols.default;
}
//# sourceMappingURL=utils.js.map